Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.property
Class URLEncodeTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.property.AbstractPropertySetterTask
                  net.sf.antcontrib.property.URLEncodeTask

    public class URLEncodeTask

extends AbstractPropertySetterTask

Place class description here.

Since:
Author:
  Matthew Inger,

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`URLEncodeTask()`

Method Summary
`void` | `execute()`
`java.lang.String` | `getValue(org.apache.tools.ant.Project p)`
`void` | `setLocation(java.io.File location)`
`void` | `setName(java.lang.String name)`
`void` | `setRefid(org.apache.tools.ant.types.Reference ref)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()`
`protected void` | `validate()`

Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask
`setOverride, setProperty, setPropertyValue`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLEncodeTask

    public URLEncodeTask()

Method Detail

### setName

    public void setName(java.lang.String name)

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue(org.apache.tools.ant.Project p)

### setLocation

    public void setLocation(java.io.File location)

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference ref)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    protected void validate()

  Overrides:
    `validate` in class `AbstractPropertySetterTask`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD